Subject: bug#19776: 25.0.50; HTML rendering is very slow

From: Andreas Schwab <[email-masked]>
Date: Mon, 25 Oct 2021 16:35:55 +0200

On Okt 25 2021, Eli Zaretskii wrote:

> I didn't yet take a good look at the code, so I may not make sense,
> but: if the problem with getting Emacs to check atimers is that it
> needs an input event, then does it help to define a one-time timer
> in addition to arranging the atimer?  When we have an active timer, we
> artificially reduce the timeout for pselect so that it expires before
> the expected timer -- maybe that is all that's needed, to cause the
> input loop crank one more revolution?

Since timerfd is one of the descriptors to wait for, it already causes
pselect to return in due time.  But it won't help if pselect is not
called in the first place.

Andreas.

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 7578 EB47 D4E5 4D69 2510  2552 DF73 E780 A9DA AEC1
"And now for something completely different."